Wordcloud
Strategy: Discord_AwesomeStrategy
Downloaded: 20220726
Stoploss: -0.234
The AwesomeStrategy is a trading strategy implemented as a class that follows the IStrategy interface. Here is a brief description of what the strategy does: populate_indicators: This method populates indicators for the trading strategy based on the given DataFrame and metadata. It performs calculations and transformations on the data and returns the updated DataFrame.

populate_buy_trend: This method identifies buy signals in the DataFrame based on specific conditions.

It assigns a value of 1 to the "buy" column in the DataFrame for rows that meet the buy criteria.

populate_sell_trend: This method identifies sell signals in the DataFrame based on specific conditions. It assigns a value of 1 to the "sell" column in the DataFrame for rows that meet the sell criteria. Custom Stoploss: This part of the strategy calculates the current duration of a trade and checks if it should be stopped out based on certain conditions. If the stop loss conditions are met, it returns a small value to indicate that the trade should be closed. Freqtrade ROI Overload: This section calculates the minimal return on investment (ROI) and table ROI for a trade. It checks if there is custom trade information available and determines the ROI based on various factors such as trade duration, trends, and profit ratios. Overall, the AwesomeStrategy class is designed to generate buy and sell signals based on specific conditions and apply custom stop loss and ROI calculations to manage trades.

Traceback (most recent call last): File "pandas/_libs/index.pyx", line 581, in pandas._libs.index.DatetimeEngine.get_loc File "pandas/_libs/hashtable_class_helper.pxi", line 2606, in pandas._libs.hashtable.Int64HashTable.get_item File "pandas/_libs/hashtable_class_helper.pxi", line 2630, in pandas._libs.hashtable.Int64HashTable.get_item KeyError: 1701439260000000000 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexes/base.py", line 3653, in get_loc return self._engine.get_loc(casted_key) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "pandas/_libs/index.pyx", line 549, in pandas._libs.index.DatetimeEngine.get_loc File "pandas/_libs/index.pyx", line 583, in pandas._libs.index.DatetimeEngine.get_loc KeyError: Timestamp('2023-12-01 14:01:00+0000', tz='UTC') The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexes/datetimes.py", line 584, in get_loc return Index.get_loc(self, key) ^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexes/base.py", line 3655, in get_loc raise KeyError(key) from err KeyError: Timestamp('2023-12-01 14:01:00+0000', tz='UTC') The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/freqtrade/freqtrade/strategy/strategy_wrapper.py", line 27, in wrapper return f(*args, **kwargs) ^^^^^^^^^^^^^^^^^^ File "/freqtrade/user_data/strategies/Discord_AwesomeStrategy.py", line 420, in custom_stoploss sroc = self.custom_trade_info[trade.pair]['sroc'].loc[current_time]['sroc'] ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexing.py", line 1103, in __getitem__ return self._getitem_axis(maybe_callable, axis=axis) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexing.py", line 1343, in _getitem_axis return self._get_label(key, axis=axis) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexing.py", line 1293, in _get_label return self.obj.xs(label, axis=axis) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/generic.py", line 4095, in xs loc = index.get_loc(key) ^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexes/datetimes.py", line 586, in get_loc raise KeyError(orig_key) from err KeyError: datetime.datetime(2023, 12, 1, 14, 1, tzinfo=datetime.timezone.utc)
stoploss: -0.234
timeframe: 5m
hash(sha256): 992acea197a6469a7632e83f4a0f98630212f16c18f3a69e4aa368e04f02f1b8
indicators:
upper close HA_Close bb_lowerband date
candleuptrend HA_High volume smaHigh sslDown
DI high sslUp emac date
sroc atr adx hhlow roc
time any runmode HA_Open HA_Close
low open close low Smooth_HA_C
active_trade emao_1h sqzmi maxdown Smooth_HA_L
srsi_k rmiuptrend date roc candleuptrend
hlv lower roc rsi emac_1h
HA_Low date open high low
close volume emac emao srsi_d
hhopen mfi date ssldir candleup
price_side ATR dmi_minus maxup emao
sar smaLow ssldir mid bb_width
Smooth_HA_H hhclose hhhigh bb_middl

Similar Strategies: (based on used indicators)

Strategy: Discord_3_CryptoFrog, Similarity Score: 98.67%
Strategy: Discord_2_CryptoFrog, Similarity Score: 96%
Strategy: CryptoFrog, Similarity Score: 94.67%
Strategy: CryptoFrogHO3A4, Similarity Score: 94.67%
Strategy: CryptoFrog_205, Similarity Score: 94.67%
Strategy: Discord_CryptoFrog1, Similarity Score: 80%

last change: 2024-01-28 07:11:08